#### D.8.2.7 evalPolyAtBox2

Procedure from library `interval.lib` (see interval_lib).

Usage:
  evalPolyAtBox2(f, B), f poly, B box

Return:
  interval extension ff(intervals)

Example:

    LIB "interval.lib";
    ring R = 0,x,lp;
    interval I1 = bounds2(0, 1); I1;
    ==> [0, 1]
    ==>
    poly f = x3 + 4x + 3;
    evalPolyAtBox2(f, list(I1));
    ==> [3, 8]
    ==>
    ring S = 0,(x,y,z),lp;
    interval I2 = bounds2(0, 1);
    box B = list(I2, I2, I2);
    poly f = xyz2 + 2x2 + (3/2)*y3x + z + 1;
    evalPolyAtBox2(f, B);
    ==> [1, 13/2]
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.